Skip to main content
GET
/
robots
/
{robotId}
/
auditLogs
Returns a list of robot logged events
curl --request GET \
  --url https://api.inorbit.ai/robots/{robotId}/auditLogs \
  --header 'x-auth-inorbit-app-key: <api-key>'
[
  {
    "ts": 1597342004918,
    "message": "Robot started"
  },
  {
    "ts": 1597342604918,
    "message": "Task completed"
  }
]

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

Query Parameters

startTs
string

The start timestamp

endTs
string

The end timestamp

limit
integer

Events per page limit

Required range: 1 <= x <= 100
page
integer

The results page to be returned

Required range: x >= 0

Response

List of robot event logs

ts
integer
required

Event timestamp

message
string
required

Event log message